/***************************************************************************
  $RCSfile: kchipcardcontrol.h,v $
                             -------------------
    cvs         : $Id: kchipcardcontrol.h,v 1.1 2003/05/12 04:19:19 aquamaniac Exp $
    begin       : Mon May 12 2003
    copyright   : (C) 2003 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef KCHIPCARDCONTROL_H
#define KCHIPCARDCONTROL_H

#include "kchipcardcontrolbase.h"


/**
 *
 */
class KChipCardControl: public KChipCardControlBase {
  Q_OBJECT
private:
  bool _checkProcess(int pid, const char *n);
  bool _killallProcesses(const char *n, int sig);
  bool _sendSignal(int signum);
public:
  KChipCardControl(QWidget* parent=0,
		   const char* name = 0,
		   bool modal = FALSE,
		   WFlags fl = 0 );
  virtual ~KChipCardControl();

public slots:
  void slotStop();
  void slotContinue();
  void slotShutdown();
  void slotReload();
};



#endif
